Bug 186765 - [PATCH] multimedia/smpeg: fix autotools macro
Summary: [PATCH] multimedia/smpeg: fix autotools macro
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-14 14:40 UTC by Dmitry Marakasov
Modified: 2014-03-07 11:30 UTC (History)
1 user (show)

See Also:


Attachments
smpeg-0.4.4_11.patch (1.21 KB, patch)
2014-02-14 14:40 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-02-14 14:40:00 UTC
Fix smpeg.m4 to remove annoying warning on each autotools invocation:

/usr/local/share/aclocal/smpeg.m4:13: warning: underquoted definition of AM_PATH_SMPEG
/usr/local/share/aclocal/smpeg.m4:13:   run info Automake 'Extending aclocal'
/usr/local/share/aclocal/smpeg.m4:13:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal

Port maintainer (acm@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-14 14:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-07 11:27:08 UTC
Author: amdmi3
Date: Fri Mar  7 11:27:00 2014
New Revision: 347363
URL: http://svnweb.freebsd.org/changeset/ports/347363
QAT: https://qat.redports.org/buildarchive/r347363/

Log:
  - Fix smpeg.m4 to remove annoying warning (warning: underquoted definition of AM_PATH_SMPEG) on each autotools invocation
  
  PR:		186765
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Added:
  head/multimedia/smpeg/files/patch-smpeg.m4   (contents, props changed)
Modified:
  head/multimedia/smpeg/Makefile

Modified: head/multimedia/smpeg/Makefile
==============================================================================
--- head/multimedia/smpeg/Makefile	Fri Mar  7 11:22:49 2014	(r347362)
+++ head/multimedia/smpeg/Makefile	Fri Mar  7 11:27:00 2014	(r347363)
@@ -3,7 +3,7 @@
 
 PORTNAME=	smpeg
 PORTVERSION=	0.4.4
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	multimedia
 MASTER_SITES=	ftp://sunsite.auc.dk/pub/os/linux/loki/open-source/smpeg/ \
 		${MASTER_SITE_GENTOO}

Added: head/multimedia/smpeg/files/patch-smpeg.m4
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/smpeg/files/patch-smpeg.m4	Fri Mar  7 11:27:00 2014	(r347363)
@@ -0,0 +1,11 @@
+--- smpeg.m4.orig	2001-04-05 00:28:14.000000000 +0400
++++ smpeg.m4	2014-02-14 18:19:27.566113006 +0400
+@@ -10,7 +10,7 @@
+ ACTION-IF-NOT-FOUND]]])
+ dnl Test for SMPEG, and define SMPEG_CFLAGS and SMPEG_LIBS
+ dnl
+-AC_DEFUN(AM_PATH_SMPEG,
++AC_DEFUN([AM_PATH_SMPEG],
+ [dnl
+ dnl Get the cflags and libraries from the smpeg-config script
+ dnl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2014-03-07 11:27:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!